{% extends 'template.html.twig' %}

{% block title %}
    Modifier le profil
    
{% endblock %}

{% block body %}
    <div class="Profile__Main">
        <div class="Profile__Main__Title">
            <h1>
                Mon compte        
            </h1>
        </div>
        {{ form_start(form, {'attr': {'class': 'Profile__Main__Form' }}
        ) }}
                        
                
        {% if app.session.flashbag.has('success') %}
            <div class="alert alert-success">
                {{ app.session.flashbag.get('success')|first }}
            </div>
        {% endif %}
        <div class="mb-3">
            <label for="email" class="form-label">
                <span>
                    Adresse mail          
                </span>
            </label>
            <div class="Profile__Main__Form__Input">
                {{ form_widget(form.email, {'attr': {'class': 'form-control' }}
                ) }}          
            </div>
        </div>
        <div class="mb-3">
            <label for="username" class="form-label">
                <span>
                    Surnom             
                </span>
            </label>
            <div class="Profile__Main__Form__Input">
                {{ form_widget(form.username, {'attr': {'class': 'form-control' }}
                ) }}
            </div>
        </div>
        <div class="mb-3">
            <label for="password" class="form-label">
                <span>
                    Mot de passe actuel
                                    
                </span>
            </label>
            <div class="Profile__Main__Form__Input">
                {{ form_widget(form.current_password, {'attr': {'class': 'form-control' }}
                ) }}
            </div>
        </div>
        <div class="mb-3">
            <label for="password_first" class="form-label">
                <span>
                    Nouveau mot de passe
                                    
                </span>
            </label>
            <div class="Profile__Main__Form__Input">
                {{ form_widget(form.new_password.first, {'attr': {'class': 'form-control' }}
                ) }}
            </div>
        </div>
        <div class="mb-3">
            <label for="password" class="form-label">
                <span>
                    Retapez votre nouveau mot de passe
                                    
                </span>
            </label>
            <div class="Profile__Main__Form__Input">
                {{ form_widget(form.new_password.second, {'attr': {'class': 'form-control' }}
                ) }}
            </div>
            <div class="Profile__Main__Form__Input">
                <button type="button" class="btn btn-primary">
                    <span>
                        enregistrer                  
                    </span>
                </button>
            </div>
        </div>
        {{ form_end(form) }}
    </div>
{% endblock %}
